Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 152393

Summary: sci-libs/fftw-2.1.5-r1 as-needed fix
Product: Gentoo Linux Reporter: Alexis Ballier <aballier>
Component: Current packagesAssignee: Gentoo Science Related Packages <sci>
Status: RESOLVED FIXED    
Severity: enhancement CC: flameeyes
Priority: High    
Version: 2006.1   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 129413    
Attachments: as-needed fix.
patch to makefile.am

Description Alexis Ballier gentoo-dev 2006-10-22 10:22:08 UTC
sci-libs/fftw-2.1.5-r1 compiles fine with as-needed but rfftw has unresolved symbols :

I get the following in the configure checks for rezound : 

configure:32736: x86_64-pc-linux-gnu-g++ -o conftest -march=athlon64 -O2 -pipe -g -Wall -Wno-unused-function -Wno-unused-variable -Wno-unused -I/usr/include -I/usr/include -I/usr/include  -Wl,--as-needed -Xlinker -lpthread conftest.cpp -lrfftw -lrfftw -lfftw -lportaudio -lasound -lm -ldl -lpthread -lpthread -lpthread >&5
/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.1/../../../../lib64/librfftw.so: undefined reference to `fftw_factor'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.1/../../../../lib64/librfftw.so: undefined reference to `fftw_gettimeofday_get_time'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.1/../../../../lib64/librfftw.so: undefined reference to `fftw_make_node_hc2hc'

Full config.log at : 
http://www.rafb.net/paste/results/XkA1mu40.html


With the patch that will follow, everything is fine.


Alexis.
Comment 1 Alexis Ballier gentoo-dev 2006-10-22 10:25:58 UTC
Created attachment 100226 [details, diff]
as-needed fix.

diff to the current 2.1.5-r1 ebuild : 

--- fftw-2.1.5-r1.ebuild        2006-10-22 19:23:22.000000000 +0200
+++ fftw-2.1.5-r2.ebuild        2006-10-22 19:23:08.000000000 +0200
@@ -65,6 +65,7 @@
        #it might be needed if it is decided that lam is an optional dependence
 
        cd "${S}-single"
+       epatch "${FILESDIR}/${P}-as-needed.patch"
        econf \
                --enable-shared \
                --enable-threads \
@@ -76,6 +77,7 @@
 
        #the only difference here is no --enable-float
        cd "${S}-double"
+       epatch "${FILESDIR}/${P}-as-needed.patch"
        econf \
                --enable-shared \
                --enable-threads \
Comment 2 Olivier Fisette (RETIRED) gentoo-dev 2006-10-22 11:10:28 UTC
In CVS. Thanks.
Comment 3 Alexis Ballier gentoo-dev 2007-03-30 23:26:19 UTC
bah running eautoreconf made that patch useless since it's applying to makefile.in
Comment 4 Alexis Ballier gentoo-dev 2007-03-30 23:27:09 UTC
Created attachment 114998 [details, diff]
patch to makefile.am
Comment 5 S├ębastien Fabbro (RETIRED) gentoo-dev 2007-04-30 16:46:40 UTC
finally fixed in cvs.